Bug 434956 - PCI-e Mainpine series cards not auto detected by kernel.
PCI-e Mainpine series cards not auto detected by kernel.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Martin Jenner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-26 09:55 EST by Benjamin Ash
Modified: 2009-06-16 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:45:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Ash 2008-02-26 09:55:48 EST
Description of problem: We are currently evaluating the use of Mainpine's server
class multi-port modem cards in RHEL5 servers.  From the looks of it the current
RHEL5 kernel does not support the auto-detection of the PCI-e version the
RocForceDUO et al.

This is a known issue and a fix has already been applied and released with the
latest vanilla 2.6 kernel.  Alan Cox posted the patches for this issue back on 
Fri, 31 Aug 2007.

Ref:  http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.23-git12.log
commit bf0df636e5ddf43cbacff8435962ee8aa40f563e



Version-Release number of selected component (if applicable):
rpm: kernel-2.6.18-53.1.13.el5
kernel_info: x86_64

How reproducible:


Steps to Reproduce:
1. Boot the RHEL5 kernel with the PCI-e Mainpine card installed
2. Notice that it is not detected and we do not see the serial devices.

  
Actual results:


Expected results: See and use the Mainpine card.


Additional info: I was able to successfully apply and validate Alan Cox's
patches to the current RHEL5 kernel source.  I used the following src RPM:
   kernel-2.6.18-53.1.13.el5.src.rpm
Comment 1 Daniel Riek 2008-05-06 13:31:01 EDT
Please be advised, that Bugzilla is not a support tool. It is an Engineering and
Community tool. So although all changes to Enterprise Linux go through Bugzilla
and Red Hat considers issues directly entered into Bugzilla valuable feedback,
there is no SLA around it. 

So if this is a production issue or relevant for you operation, please report it
to your Red Hat Support contact or Sales contact if you are not yet an existing
customer.

Thank you.
Comment 2 RHEL Product and Program Management 2008-05-06 13:45:14 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 
Comment 3 vadik56 2009-06-16 13:16:29 EDT
Hello,

Please consider applying this patch as it is impossible to use Redhat with mainpine pci-e cards in enterprise environment.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.